<template>
	<view class="status-bar-container" :style="{height: fixedHeight + 'px'}">
		<view class="navi-container" :style="{height: naviBarHeight + 'px'}">
			<view v-if="!isIndex" class="navi-btn-area" @click="goBack"></view>
			<view :class="isIndex ? 'navi-btn-no' : 'navi-btn'"></view>
			<view class="navi-title-container">
				<view class="navi-title"></view>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				// fixedHeight: null,
				// naviBarHeight: null
			};
		},
		props: {
			isIndex: {
				type: Boolean,
				default: false
			},
			fixedHeight: 0,
			naviBarHeight: 0
		},
		mounted () {
			// this.init();
		},
		methods: {
			// init () {
			// 	this.naviBarHeight = getApp().globalData.naviBarHeight
			// 	this.fixedHeight = getApp().globalData.fixedHeight
			// 	console.log("naviBarHeight === ", this.naviBarHeight)
			// 	console.log("fixedHeight === ", this.fixedHeight)
			// },
			goBack () {
				if (!this.isIndex) {
					uni.navigateBack()
				}
			}
		}
	}
</script>

<style lang="scss">
.status-bar-container {
	position: absolute;
	left: 0;
	top: 0;
	z-index: 5;
	width: 100vw;
}
.navi-container {
	position: absolute;
	bottom:  0;
	left: 0;
	width: 100vw;
	display: flex;
	align-items: center;
}
.navi-btn-area {
	position: absolute;
	left: 0;
	top: 0;
	z-index: 4;
	width: 62rpx;
	height: 100%;
}
.navi-btn {
	margin-left: 23rpx;
	width: 16rpx;
	height: 28rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/btn-navi-back-white.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.navi-btn-no {
	margin-left: 23rpx;
	width: 16rpx;
	height: 28rpx;
	background-color: transparent;
}
.navi-title-container {
	position: absolute;
	top: 0;
	left: 15%;
	width: 70%;
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
}
.navi-title {
	width: 260rpx;
	height: 30rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/text-navi-title-white.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
</style>
